SUSE SLED15 / SLES15セキュリティ更新プログラム:perl(SUSE-SU-2018:4187-1)

critical Nessus プラグイン ID 120189

言語:

概要

リモートのSUSEホストに1つ以上のセキュリティ更新がありません。

説明

perl 用のこの更新では、次の問題を修正しています:

修正されたセキュリティ問題:

CVE-2018-18311:オーバーサイズの環境による整数オーバーフローを修正しました(bsc#1114674)。

CVE-2018-18312:ヒープバッファオーバーフロー書き込み/reg_nodeオーバーランを修正しました(bsc#1114675)。

CVE-2018-18313:正規表現に\ 0文字が含まれる場合のヒープバッファオーバーフローの読み取りを修正しました(bsc#1114681)。

CVE-2018-18314:正規表現のヒープバッファオーバーフローを修正しました(bsc#1114686)。

注意:Tenable Network Securityは、前述の記述ブロックをSUSEセキュリティアドバイザリから直接抽出しています。Tenableでは、そこに新しい問題を追加することはせずに、できる限り自動的に整理と書式設定をするようにしています。

ソリューション

このSUSEセキュリティ更新プログラムをインストールするには、YaSTのonline_updateや「zypper patch」など、SUSEが推奨するインストール方法を使用してください。

別の方法として、製品にリストされているコマンドを実行することができます:

SUSE Linux Enterprise Module for Development Tools 15:zypper in -t patch SUSE-SLE-Module-Development-Tools-15-2018-2984=1

SUSE Linux Enterprise Module for Basesystem 15:zypper in -t patch SUSE-SLE-Module-Basesystem-15-2018-2984=1

関連情報

https://bugzilla.suse.com/show_bug.cgi?id=1114674

https://bugzilla.suse.com/show_bug.cgi?id=1114675

https://bugzilla.suse.com/show_bug.cgi?id=1114681

https://bugzilla.suse.com/show_bug.cgi?id=1114686

https://www.suse.com/security/cve/CVE-2018-18311/

https://www.suse.com/security/cve/CVE-2018-18312/

https://www.suse.com/security/cve/CVE-2018-18313/

https://www.suse.com/security/cve/CVE-2018-18314/

http://www.nessus.org/u?1f588e88

プラグインの詳細

深刻度: Critical

ID: 120189

ファイル名: suse_SU-2018-4187-1.nasl

バージョン: 1.3

タイプ: local

エージェント: unix

公開日: 2019/1/2

更新日: 2020/3/16

サポートされているセンサー: Nessus Agent

リスク情報

VPR

リスクファクター: Medium

スコア: 5.9

CVSS v2

リスクファクター: High

Base Score: 7.5

Temporal Score: 5.5

ベクトル: AV:N/AC:L/Au:N/C:P/I:P/A:P

現状ベクトル: E:U/RL:OF/RC:C

CVSS v3

リスクファクター: Critical

Base Score: 9.8

Temporal Score: 8.5

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:novell:suse_linux:perl, p-cpe:/a:novell:suse_linux:perl-32bit-debuginfo, p-cpe:/a:novell:suse_linux:perl-base, p-cpe:/a:novell:suse_linux:perl-base-32bit-debuginfo, p-cpe:/a:novell:suse_linux:perl-base-debuginfo, p-cpe:/a:novell:suse_linux:perl-debuginfo, p-cpe:/a:novell:suse_linux:perl-debugsource, cpe:/o:novell:suse_linux:15

必要な KB アイテム: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2018/12/19

脆弱性公開日: 2018/12/5

参照情報

CVE: CVE-2018-18311, CVE-2018-18312, CVE-2018-18313, CVE-2018-18314